import './demo1.css';
import Animate from '..';
import React from 'react';
import ReactDOM from 'react-dom';
class Demo extends React.Component {
    constructor(props) {
        super(props);
        this.state = { visible: true };
        this.handleToggle = this.handleToggle.bind(this);
    }
    handleToggle() {
        this.setState({
            visible: !this.state.visible,
        });
    }
    render() {
        return (React.createElement("div", null,
            React.createElement("button", { onClick: this.handleToggle }, "Toggle visible"),
            React.createElement(Animate, { animation: {
                    enter: 'my-zoom-in',
                    leave: 'my-zoom-out',
                } }, this.state.visible ?
                React.createElement("div", { className: "basic-demo" }, "Next Animate") :
                null)));
    }
}
ReactDOM.render(React.createElement(Demo, null), document.getElementById('animate-demo-1'));
